server:
  port: 8089

spring:
  datasource:
    dynamic:
      primary: mbs
      datasource:
        mbs:
          url: jdbc:mysql://47.108.172.52:1231/item-management?autoReconnect=true&useUnicode=true&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=Asia/Shanghai&allowMultiQueries=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true
          username: root
          password: root
          initialSize: 10 #初始化连接数
          minIdle: 10 #最小空闲连接数
          max-active: 100 #最大连接数
          maxWait: 60000 #最大等待时间ms(获取不到连接后多久超时)
          hikari:
            minimum-idle: 5
            maximum-pool-size: 200
            connection-timeout: 30000
            idle-timeout: 600000
            max-lifetime: 1800000
        dyoa:
          url: jdbc:mysql://47.108.172.52:1231/dyoa?autoReconnect=true&useUnicode=true&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=Asia/Shanghai&allowMultiQueries=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true&rewriteBatchedStatements=true
          driver-class-name: com.mysql.cj.jdbc.Driver
          username: root
          password: root
          initialSize: 10 #初始化连接数D
          minIdle: 10 #最小空闲连接数
          max-active: 100 #最大连接数
          maxWait: 60000 #最大等待时间ms(获取不到连接后多久超时)
          hikari:
            minimum-idle: 5
            maximum-pool-size: 200
            connection-timeout: 30000
            idle-timeout: 600000
            max-lifetime: 1800000


dfs:
  path: /opt/test
  domain: /test
  domainName: https://kps.scdayou.com/dfs
  code: /code
  domainRoot: http://kps.scdayou.com:81/admin-test
  luceneDir: /luceneDir

#系统配置
system:
  login:
    error-limit:
      lock-time: 30  #登录错误达到限制次数账号锁定时间（单位：分钟），默认30分钟

#百度编辑器
ueditor:
  uploadPath: ${dfs.path}
  urlPrefix: replaceurl  #动态替换url